# @(#)monitor.tcl	1.5  97/12/23

# Copyright (c) Communications Research Centre, Government of Canada 1997. 
# All rights reserved.
# 
# License is granted to copy and use this software, for research and
# evaluation purposes, provided that the Communications Research Centre
# is acknowledged in all documentation pertaining to any such copy or
# use. The Communications Research Centre grants no other licenses
# expressed or implied. Title, ownership rights, and intellectual
# property rights in the software shall remain with the Communications
# Research Centre.  The Centre's name and the Government of Canada
# should not be used in any advertising without written permission.
# 
# THE COMMUNICATIONS RESEARCH CENTRE MAKES NO REPRESENTATIONS CONCERNING
# EITHER THE MERCHANTABILITY OF THIS SOFTWARE OR THE SUITABILITY OF
# THIS SOFTWARE FOR ANY PARTICULAR PURPOSE.  The software is provided
# "as is" without express or implied warranty of any kind.
# 
# These notices must be retained in any copies of any part of this
# software.
# 


# creates the data traffic monitor window

if {[winfo exists .mmain] != 0} {
   destroy .mmain
   }


toplevel .mmain
wm title .mmain "Data Traffic for: $theme"

frame .mmain.top
pack .mmain.top -side "top"  -fill both -expand yes

text .mmain.top.textwin \
   -width 50 \
   -height 10 \
   -yscrollcommand ".mmain.top.scroll set" \
   -wrap "word" 

scrollbar .mmain.top.scroll \
   -orient vertical \
   -command ".mmain.top.textwin yview"
   
pack .mmain.top.scroll -side right -fill y
pack .mmain.top.textwin -expand yes -fill both

# bottom buttons are created now

frame .mmain.bottomframe
pack .mmain.bottomframe -side "bottom"  -fill  "x" -pady 3

button .mmain.bottomframe.dismiss \
   -text "Dismiss" \
   -command {destroy .mmain}
pack .mmain.bottomframe.dismiss -side  "right"

button .mmain.bottomframe.help \
   -text  "Help" \
    -command {helpme monitor}
pack .mmain.bottomframe.help -side right

