# @(#)savefile.tcl	1.5  12/23/97

# Copyright (c) Communications Research Centre, Government of Canada 1997. 
# All rights reserved.
# 
# License is granted to copy and use this software, for research and
# evaluation purposes, provided that the Communications Research Centre
# is acknowledged in all documentation pertaining to any such copy or
# use. The Communications Research Centre grants no other licenses
# expressed or implied. Title, ownership rights, and intellectual
# property rights in the software shall remain with the Communications
# Research Centre.  The Centre's name and the Government of Canada
# should not be used in any advertising without written permission.
# 
# THE COMMUNICATIONS RESEARCH CENTRE MAKES NO REPRESENTATIONS CONCERNING
# EITHER THE MERCHANTABILITY OF THIS SOFTWARE OR THE SUITABILITY OF
# THIS SOFTWARE FOR ANY PARTICULAR PURPOSE.  The software is provided
# "as is" without express or implied warranty of any kind.
# 
# These notices must be retained in any copies of any part of this
# software.
# 


# make sure there is nothing there first

if {[winfo exists .filepop] != 0} {
   destroy .filepop
   }
   
# set the default file name
if {[info exists savefile] == 0} {
   set savefile {mpollresults.txt}
   }

toplevel .filepop 
wm title .filepop "Save MPoll Results"

frame .filepop.f -relief groove -borderwidth 2
pack .filepop.f

message .filepop.f.m -width 300 \
  -text "Enter a file name for saving: "
pack .filepop.f.m -side top -anchor w

entry .filepop.f.file -width 40 -textvariable "savefile"
pack .filepop.f.file -side top -anchor w

frame .filepop.g
pack .filepop.g -side bottom -fill x
button .filepop.g.save -text Save -command "dosave"
pack .filepop.g.save -side right

button .filepop.g.cancel -text Cancel -command "destroy .filepop"
pack .filepop.g.cancel -side right

tkwait window .filepop

